[med-svn] [Git][med-team/ncbi-vdb][master] ncbi-vdb 2.10.6+dfsg-4: Fix parallel builds (somehow lucky before).

Aaron M. Ucko gitlab at salsa.debian.org
Tue May 26 13:09:10 BST 2020



Aaron M. Ucko pushed to branch master at Debian Med / ncbi-vdb


Commits:
d83e5eb9 by Aaron M. Ucko at 2020-05-26T08:06:36-04:00
ncbi-vdb 2.10.6+dfsg-4: Fix parallel builds (somehow lucky before).

debian/patches/fix_parallel_build.patch (new): Use unique temporary
directory names when combining static libraries.

- - - - -


3 changed files:

- debian/changelog
- + debian/patches/fix_parallel_build.patch
- debian/patches/series


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+ncbi-vdb (2.10.6+dfsg-4) unstable; urgency=medium
+
+  * debian/patches/fix_parallel_build.patch (new): Use unique temporary
+    directory names when combining static libraries.
+
+ -- Aaron M. Ucko <ucko at debian.org>  Tue, 26 May 2020 08:06:35 -0400
+
 ncbi-vdb (2.10.6+dfsg-3) unstable; urgency=medium
 
   * debian/patches/optionally_reinstate_default_schema.patch: New patch to


=====================================
debian/patches/fix_parallel_build.patch
=====================================
@@ -0,0 +1,34 @@
+--- a/build/ld.linux.slib.sh
++++ b/build/ld.linux.slib.sh
+@@ -51,10 +51,10 @@ convert-static ()
+     local mbrs="$(ar -t $path)"
+ 
+     # unpack archive into temporary directory
+-    mkdir -p ld-tmp
+-    if ! cd ld-tmp
++    mkdir -p ld-tmp.$$
++    if ! cd ld-tmp.$$
+     then
+-        echo "$SELF_NAME: failed to cd to ld-tmp"
++        echo "$SELF_NAME: failed to cd to ld-tmp.$$"
+         exit 5
+     fi
+     ar -x "$path"
+@@ -64,7 +64,7 @@ convert-static ()
+     for m in $mbrs
+     do
+         mv $m $LIBNAME-$m
+-        CMD="$CMD ld-tmp/$LIBNAME-$m"
++        CMD="$CMD ld-tmp.$$/$LIBNAME-$m"
+     done
+ 
+     # return to prior location
+@@ -126,7 +126,7 @@ echo $CMD
+ $CMD || exit $?
+ 
+ # remove temporaries
+-rm -rf ld-tmp
++rm -rf ld-tmp.$$
+ 
+ # produce dependencies
+ if [ "$DEPFILE" != "" ] && [ "$DEPS" != "" ]


=====================================
debian/patches/series
=====================================
@@ -14,3 +14,4 @@ i386-uint64_msbit.patch
 fix_path_mbedtls.patch
 redefine_CALL_MBEDTLS.patch
 optionally_reinstate_default_schema.patch
+fix_parallel_build.patch



View it on GitLab: https://salsa.debian.org/med-team/ncbi-vdb/-/commit/d83e5eb9bc4c6207ec9058f6e451f58a8855631e

-- 
View it on GitLab: https://salsa.debian.org/med-team/ncbi-vdb/-/commit/d83e5eb9bc4c6207ec9058f6e451f58a8855631e
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200526/aec4e6f6/attachment-0001.html>


More information about the debian-med-commit mailing list